/*
 Theme Name:   Lux Theme
 Theme URI:    https://generatepress.com
 Description:  Lux Digital starter theme (A GeneratePress child theme)
 Author:       Dan Cielos
 Author URI:   https://dancielos.com
 Template:     generatepress
 Version:      0.3
*/

/* ========== TABLE OF CONTENTS ========== 

1. Variables
2. General Styling
3. Typography
4. Utility Classes
5. Custom Component Styling
6. Custom Page/Post Styling
7. Fluent Forms
8. Custom Grid System

======================================== */

/* ============== |1| VARIABLES ============== */

/* -> These are the variables to use all throughout the website */

:root {
	/* These HAVE TO match what is in the Customizer > Typography. Pull in font familys using font manager. Set headline-font as 'All Headlings', set body-font as HTML */ 

	/* ----------- Typography ----------- */
	--headline-font: Cuprum, sans-serif;
	--body-font: Roboto, sans-serif;

	--fs-body: clamp(1.13rem, 0.23vw + 1.07rem, 1.25rem);
	--fs-headline-xl: clamp(2.53rem, 4.93vw + 1.3rem, 5.25rem);
	--fs-headline-h6: clamp(1.25rem, 0.23vw + 1.19rem, 1.38rem);
	--fs-headline-h5: clamp(1.41rem, 0.57vw + 1.26rem, 1.72rem);
	--fs-headline-h4: clamp(1.58rem, 1.03vw + 1.32rem, 2.15rem);
	--fs-headline-h3: clamp(1.78rem, 1.65vw + 1.37rem, 2.69rem);
	--fs-headline-h2: clamp(2rem, 2.46vw + 1.39rem, 3.36rem);
	--fs-headline-h1: clamp(2.25rem, 3.53vw + 1.37rem, 4.2rem);
	--fs-headline-pre: clamp(0.97rem, calc(1.01rem + -0.05vw), 1rem);

	--text-s: clamp(0.89rem, 0.09vw + 0.87rem, 0.94rem);
	--text-m: clamp(1rem, 0.08vw + 0.98rem, 1.04rem);
	--text-d: clamp(1.13rem, 0.23vw + 1.07rem, 1.25rem);
	--text-l: clamp(1.27rem, 0.43vw + 1.16rem, 1.5rem);
	--text-xl: clamp(1.42rem, 0.68vw + 1.25rem, 1.8rem);

	/* ----------- Spacing ----------- */
	--header-padding: clamp(0rem, 0.6vw + -0.12rem, 0.6rem) clamp(0.6rem, 3.2vw + -0.64rem, 3.2rem);
	--footer-padding: clamp(2.8rem, 2.2vw + 0.56rem, 12rem) clamp(0.6rem, 2.6vw + 0.08rem, 3.2rem) clamp(1.6rem, 2.2vw + 0.56rem, 3.2rem);
	--section-padding: clamp(1rem, 1.667vw + -0.8rem, 3.2rem) clamp(1.2rem, 5.2vw + 0.16rem, 6.4rem);
	--content-padding: clamp(1rem, 1.667vw + -0.8rem, 3.2rem) clamp(1.2rem, 5.2vw + 0.16rem, 6.4rem) clamp(3.2rem, 5.2vw + 0.16rem, 8rem);
	
	--hero-padding: 0 clamp(0.2rem, 31.9vw + -6.28rem, 32rem);
	--hero-subtext: clamp(0.6rem, 1.404vw + 0.315rem, 2rem) clamp(0rem, 6.827vw + -1.792rem, 6.4rem);
	
	/* ----------- Misc ----------- */
	--border-radius: 0.375rem;
	--animation: all 0.3s ease-in-out;
	--box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
}

/* ============== |2| GENERAL STYLING ============== */

/* Set the main content area to a minimum of 65vh */
#main {
	min-height: 65vh;
}

body {
	background-color: var(--outside-container);
	font-size: var(--text-d);
}

/* Site Wrapper to set overall site max width */
.site-wrapper {
	width: 100%;
	max-width: 1920px;
	background-color: var(--body);
} 

.home .entry-content {
	display: flex;
	flex-direction: column;
/* 	gap: clamp(4.8rem, 3.2vw + 4.16rem, 8rem); */
}

main ul, main ol {
	margin-left: clamp(1.6rem, 6.25vw + -2.8rem, 8rem);
	display: flex;
	flex-direction: column;
	gap: clamp(0.4rem, 0.64vw + 0.232rem, 1rem);
}

ul.wp-block-social-links li {
	font-size: var(--text-l);
}

main img {
	border-radius: var(--border-radius);
	box-shadow: var(--box-shadow);
} 
button, a {
	scroll-behavior: smooth;

}

button, a, .gb-button, .gb-button:hover {
	transition: var(--animation);
	
}

.wp-block-separator {
	border-top: none;
}

/* ============== |3| TYPOGRAPHY ============== */

/* ----------- Defaults ----------- */ 
h1, h2, h3, h4, h5, h6, .h-xl, .h1, .h2, .h3, .h4, .h5, .h6 {
	font-weight: 600;
	margin-bottom: 0.5em;	
	font-family: var(--headline-font);
}

/* ----------- XL headline ----------- */
.h-xl {
	font-size: var(--fs-headline-xl);
	line-height: 1.05;
	letter-spacing: -0.01em;
}

/* ----------- H1 ----------- */
h1, .h1 {
	font-size: var(--fs-headline-h1);
	line-height: 1.05;
}

/* ----------- H2 ----------- */
h2, .h2 {
font-size: var(--fs-headline-h2);
	line-height: 1.1;
	letter-spacing: 0.01em;
}

/* ----------- H3 ----------- */
h3, .h3 {
	font-size: var(--fs-headline-h3);
	line-height: 1.15;
	letter-spacing: 0.01em;
}

/* ----------- H4 ----------- */
h4, .h4 {
	font-size: var(--fs-headline-h4);
	line-height: 1.1;
	letter-spacing: 0.01em;
}

/* ----------- H5 ----------- */
h5, .h5 {
	font-size: var(--fs-headline-h5);
	line-height: 1.25;
	letter-spacing: 0.02em;
}

/* ----------- H6 ----------- */
h6, .h6 {
	font-size: var(--fs-headline-h6);
	line-height: 1.4;
	letter-spacing: 0.03em;
}


/* ----------- Smaller texts ----------- */

p, .text-d {
	font-family: var(--body-font);
	font-size: var(--text-d);
	letter-spacing: 0.02em;
}

pre, .h-pre {
	font-size: var(--fs-headline-pre);
	font-family: var(--body-font);
	line-height: 1.2;
	letter-spacing: 0.03em;
}

.h-pre, .text-s, .text-m, .text-d, .text-l, .text-xl {
	font-weight: normal;
}

.text-s {
	font-family: var(--body-font);
	font-size: var(--text-s);
	letter-spacing: 0.02em;
}

.text-m {
	font-family: var(--body-font);
	font-size: var(--text-m);
	letter-spacing: 0.02em;
}

.text-l {
	font-family: var(--body-font);
	font-size: var(--text-l);
	letter-spacing: 0.02em;
}

.text-xl {
	font-family: var(--body-font);
	font-size: var(--text-xl);
	letter-spacing: 0.02em;
}


/* ============== |4| UTILITY CLASSES ============== */

/* ----------- Flexbox ----------- */
.flex {
	display: flex;
}

.space-between {
	justify-content: space-between;
}

.flex-list {
	display: flex;
	flex-direction: column;
	gap: 0.4rem;
}

.flex-list-row {
	display: flex;
	flex-direction: row;
	row-gap: 0.8rem;
	column-gap: 1.6rem;
	flex-wrap: wrap;
	justify-content: center;
}

/* ----------- Shadow ----------- */
.add-box-shadow {
	box-shadow: var(--box-shadow);
}

.no-shadow {
	box-shadow: unset;
}

/* ----------- List ----------- */
.sans-list-style {
	list-style-type: none;
	margin-left: 0;	
}

/* hide an element visually but not for screen readers, this is great for hiding H1 for design purposes */
.visually-hidden:not(:focus):not(:active) {
	clip: rect(0 0 0 0);
	clip-path: inset(50%);
	height: 1px;
	overflow: hidden;
	position: absolute;
	white-space: nowrap;
	width: 1px;
}

.hide-for-now {
	display: none;
}


/* ----------- line limits ----------- */
.line-limit-3, .line-limit-2, .line-limit-1 {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.line-limit-3 {
	-webkit-line-clamp: 3;
}

.line-limit-2 {
	-webkit-line-clamp: 2;
}

.line-limit-1 {
	-webkit-line-clamp: 1;
}

/* ----------- Grid -----------  */

.grid, .grid-columns-2, 
.grid-columns-3, .grid-columns-4, .grid-columns-5, .grid-columns-6 {
	display: grid;
}

.grid-columns-2 {
	grid-template-columns: repeat(2, minmax(0, 1fr));
}

.grid-columns-3 {
	grid-template-columns: repeat(3, minmax(0, 1fr));
}
.grid-columns-4 {
	grid-template-columns: repeat(4, minmax(0, 1fr));
}	
.grid-columns-5 {
	grid-template-columns: repeat(5, minmax(0, 1fr));
}	
.grid-columns-6 {
	grid-template-columns: repeat(6, minmax(0, 1fr));
}

@media (max-width: 768px) {
	.grid-columns-3, .grid-columns-4 {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}	
	.grid-columns-6, .grid-columns-5 {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
}

@media (max-width: 425px) {
	.grid-columns-2, .grid-columns-3, .grid-columns-4 {
		grid-template-columns: repeat(1, minmax(0, 1fr));
	}	
}

/* ----------- Max Width(s) ----------- */
.max-width-1024 {
	max-width: 1024px;
}

.max-width-768 {
	max-width: 768px;
}

.max-width-640 {
	max-width: 640px;
}

.max-width-480 {
	max-width: 480px;
}

/* ----------- Margin Auto ----------- */

.margin-auto{
	margin-left: auto;
	margin-right: auto;
}

/* ----------- Position Properties ----------- */

.relative {
	position: relative;
}

.absolute{
	position:absolute;
	top: 0px;
	left: 0px;
}

.sticky{
	position: sticky;
	top: 24px;
}

/* ----------- Image Aspect Ratios ----------- */

.ar-16-9, .ar-9-16, .ar-4-3 {
	object-fit: cover;
}

.ar-1-1 {
    aspect-ratio: 1/1;
}

.ar-4-3 {
    aspect-ratio: 4/3;
}

.ar-16-9 {
    aspect-ratio: 16/9;
}

.ar-9-16 {
    aspect-ratio: 9/16;
}

/* ----------- No underline ----------- */
.no-ul, .no-ul a {
	text-decoration: none;
}


/* ============== |5| CUSTOM STYLING FOR COMPONENTS ============== */

/* ----------- Header ----------- */
.header-logo {
	aspect-ratio: 16/4;
	width: clamp(9.375rem, 4.78vw + 8.419rem, 12.5rem);
}

ul#menu-main a {
	font-size: var(--text-d);
}

.header-bar .menu-item {
	position: relative;
	transition: all .2s ease-in-out;
}
	
.header-bar .menu-item::before, #generate-slideout-menu .menu-item::before {
	content: '';
	position: absolute;
	top: 70%;
	width: 100%;
	height: 2px;
	background-color: var(--primary);
	transform: scaleX(0) ;
	transition: all .2s ease-in-out;
}

#generate-slideout-menu .menu-item::before {
	top: 100%;
}
	
.menu-item a:hover {
	color: var(--surface-950) !important;
}

.header-bar .menu-item:hover > a {
	transform: translateY(-4px);
}
	
.header-bar #menu-main > .menu-item:hover::before, .header-bar #menu-main > .menu-item:active::before, .sub-menu > .menu-item:hover::before, .sub-menu > .menu-item:active::before,
#generate-slideout-menu .menu-item:hover::before, #generate-slideout-menu .menu-item:active::before {
	transform: scaleX(1);
}

.main-navigation ul.sub-menu {
	background-color: white;
	box-shadow: var(--box-shadow);
/* 	padding: 1rem 0rem; */
	min-width: 18rem;
	z-index: 100;
}

.main-navigation ul.sub-menu > li {
	padding: 0.4rem 0rem;
	z-index: 100;
}

.header-bar .sub-menu .menu-item::before {
	top: 100%;
	width: 100%;
}

#generate-slideout-menu .menu-item {
	border-bottom: solid 1px var(--surface-300);
}

#generate-slideout-menu .gb-button {
	padding: 0;
	margin: 1rem;
	width: fit-content !important;
}
#generate-slideout-menu .gb-button > a {
	color: white;
	font-weight: 700;
}


#generate-slideout-menu .menu-item.gb-button::before {
	width: 0%;
}

#generate-slideout-menu .gb-button > a:hover, #generate-slideout-menu .gb-button > a:active, #generate-slideout-menu .gb-button > a:hover, #generate-slideout-menu .gb-button > a:focus {
	color: white !important;
}

/* ----------- Buttons ----------- */

.gb-button:hover, 
.gb-button:focus, 
.fluentform button.ff-btn.ff-btn-submit:hover, 
.fluentform button.ff-btn.ff-btn-submit:focus {
  animation: pulse 0.5s;
  box-shadow: 0 0 0 1em transparent;
}


@keyframes pulse {
  0% { box-shadow: 0 0 0 0 var(--primary); }
}

 */
/* ----------- Search ----------- */

.wp-block-search__input {
	color: var(--surface-950) !important;
	border-color: var(--surface-950) !important;
}

.wp-block-search__inside-wrapper > input {
	border-radius: var(--border-radius);
}

.wp-block-search__button {
	border-radius: var(--border-radius);
	margin-left: 0;
}

@media (max-width: 768px) {
	.wp-block-search__button {
		width: 100% !important;
	}
}

/* ----------- Card ----------- */

.card {
	--card-padding-lg: clamp(1.6rem, 3.413vw + 0.704rem, 4.8rem) clamp(1rem, 12.587vw + -2.304rem, 12.8rem);
	--card-padding-md: clamp(1.6rem, 3.413vw + 0.704rem, 4.8rem) clamp(1rem, 5.76vw + -0.512rem, 6.4rem);
	--card-padding-sm: clamp(1rem, 1.4vw + 0.72rem, 2.4rem) clamp(1.2rem, 0.6vw + 1.08rem, 1.8rem);

	background-color: var(--primary-50);
	border-radius: var(--border-radius);
	box-shadow: var(--box-shadow);
}

.card-lg {
	padding: var(--card-padding-lg);
}

.card-md {
	padding: var(--card-padding-md);
}

.card-sm {
	padding: var(--card-padding-sm);
}


/* ----------- Footer ----------- */
@media (max-width: 425px) {
	.pre-footer-btn {
		width: 100%;
	}	
}

.footer-grid {
	display: grid;
	grid-template-columns: 40% repeat(3, 1fr);
	row-gap: 2rem;
	column-gap: 2rem;
}

.footer-menu.wp-block-navigation a:hover, .footer-menu.wp-block-navigation a:focus, .footer-menu.wp-block-navigation a:active {
	color: var(--primary-alt);
}

@media (max-width: 560px) {
	.footer-grid > div:first-child {
		grid-column: 1 / -1;
		max-width: 100%
	}
	.footer-grid {
		grid-template-columns: repeat(2, 1fr);
	}
    /* CSS in here for mobile only */
}
@media (min-width: 561px) and (max-width: 860px) {
    /* CSS in here for tablet only */
	.footer-grid {
		grid-template-columns: repeat(3, 1fr);
	}
	.footer-grid > div:first-child {
		grid-column: 1 / -1;
		max-width: 70%
	}
}
@media (min-width: 861px) {
    /* CSS in here for desktop only */
}

.footer-menu {
	font-size: var(--text-m);
	gap: 1rem;
}


/* ============== |6| CUSTOM STYLING FOR PAGES & POSTS ============== */

/* ----------- Homepage ----------- */

.hero-background {
	opacity: 60%;
}

.services-headline .gb-icon {
	background-color: var(--primary);
	border-radius:50%;
}

.services-grid {
	grid-template-columns: repeat(6, 1fr);
	gap: 1.2rem;
	margin-right: 6.4rem;
	margin-left: 6.4rem;
}

.services-grid > .card:first-child {
	grid-column: 1 / span 3;
}

.services-grid > .card:nth-child(2) {
	grid-column: 4 / span 3;
}

.services-grid > .card {
	grid-column: auto / span 2;
}

@media (max-width: 1088px) {
	.services-grid {
		grid-template-columns: 1fr 1fr;
	}
	.services-grid > .card:first-child {
		grid-column: 1 / -1;
	}
	.services-grid > .card, .services-grid > .card:nth-child(2) {
		grid-column: unset;
	}
}

@media (max-width: 1088px) {
	.services-grid {
		margin-left: 1rem;
		margin-right: 1rem;
	}
}

@media (max-width: 600px) {
	.services-grid {
		grid-template-columns: 1fr;
	}
}


.home-bio > * {
	flex-basis: 50%;
}

.home-bio > .card {
	margin-top: 6rem;
	margin-left: -8rem;
	min-width: calc(50% + 8rem);
}

@media (max-width: 768px) {
	.home-bio > figure, .home-bio > image {
		width: 75%;
	}
	.home-bio > .card {
		margin-top: -2.4rem;
		margin-left: unset;
		min-width: unset;
	}
}


.home-projects > * {
	flex-basis: 33%;
}
@media (max-width: 600px) {
	.home-projects > * {
		flex-basis: 50%;	
	}
}

@media (max-width: 420px) {
	.home-bio > figure, .home-bio > image {
		width: 90%;
	}
	.home-projects > * {
		flex-basis: 100%;	
	}
}



/* ----------- Core pages ----------- */
/* Contact and homepage not included */
.hero-background2 {
	opacity: 60%;
}
.core-page-hero {
	padding: clamp(2.4rem, 4.267vw + 1.28rem, 6.4rem) clamp(1rem, 12.587vw + -2.304rem, 12.8rem) clamp(2.4rem, 0.853vw + 2.176rem, 3.2rem);
}

/* Project Gallery */
.project-item__paper {
	width:90%;
	margin: -4.2rem auto 0px;
	position: relative;
	z-index: 10;
}
@media (min-width: 1024px) {
	.project-item__paper {
	margin: -4.2rem -6.4rem 0px 6.4rem;
	}
}



/* ============== |7| FLUENT FORMS ============== */

.ff-message-success {
	border-radius: var(--border-radius);
	background-color: var(--success);
}

.ff-el-input--label {
	font-size: var(--text-d);
}

.ff-default input.ff-el-form-control, .ff-default textarea.ff-el-form-control  {
	border-radius: var(--border-radius);
	border-color: var(--primary-alt);
}
.fluentform button.ff-btn.ff-btn-submit, .fluentform button.ff-btn.ff-btn-next {
	border-radius: var(--border-radius);
	background-color: var(--primary) !important;
	border-color: var(--primary);
}

.fluentform button.ff-btn.ff-btn-prev {
	border-radius: var(--border-radius);
	background-color: unset !important;
	color: var(--black);
	border-color: var(--black);
}

.fluentform button.ff-btn.ff-btn-next:hover, .fluentform button.ff-btn.ff-btn-prev:hover {
	background-color: var(--primary-alt) !important;
}

[href^="https://www.cloudways.com/en/?id"] {
	display: inline-flex !important;
}

/* ============== |8| LUX'S CUSTOM GRID SYSTEM ============== */

.lux-grid {
	display: grid;
	grid-template-rows: auto 1fr;
	align-items: center;
	column-gap: 36px;
	row-gap: 12px;
}

.lux-grid-invert {
	column-gap: 24px;
}

.lux-grid, .alternating-grid > div:nth-child(even) > *  {
	grid-template-columns: 40% auto;
}

.lux-grid-invert, .alternating-grid > div:nth-child(odd) >  * {
	grid-template-columns: auto 40%;
}

.lux-grid__media {
	grid-column: span 1;
	grid-row: 1 / -1;
}

.lux-grid-invert .lux-grid__media {
	grid-column-start: 2;
}

.alternating-grid > div:nth-child(even) .lux-grid__media {
	grid-column-start: 1;
}

.lux-grid__title {
	grid-column-start: 2;
	margin-bottom: 0;
}
.lux-grid__text {
	grid-row-start: 2;
	grid-column-start: 2;
	align-self: flex-start;
}
.lux-grid-invert .lux-grid__text, .lux-grid-invert .lux-grid__title {
	grid-column-start: 1;
}

.alternating-grid > div:nth-child(even) .lux-grid__text, .alternating-grid > div:nth-child(even) .lux-grid__title {
	grid-column-start: 2;

}

@media (min-width:540px) and (max-width: 860px) {
	.lux-grid__media {
		max-width: 60%;
	}
}

@media (max-width: 860px) {
	.lux-grid, .lux-grid-invert .lux-grid__media, .alternating-grid > div:nth-child(odd) >  *, .alternating-grid > div:nth-child(even) >  * {
		grid-template-columns: 1fr;
		grid-template-rows: auto 1fr auto;
		justify-items: center;
		row-gap: 24px;
	}
	.no-justify.lux-grid,
	.alternating-grid > div:nth-child(odd) >  .no-justify, 
	.alternating-grid > div:nth-child(even) >  .no-justify{
		justify-items: flex-start;
	}
	
	.lux-grid-invert {
		column-gap: 0px;
	}
	
	.lux-grid__title, .lux-grid__text, .lux-grid__media, .lux-grid-invert .lux-grid__media {
		grid-column-start: 1;
	}
	.alternating-grid > div:nth-child(even) .lux-grid__media {
		grid-column-start: 2;
	}
	.lux-grid__media {
		grid-row: 2 / 2;
	}
	.lux-grid__title {
		grid-row-start: 1;
	}
	.lux-grid__text {
		grid-row-start: 3;
	}
}
@media (max-width: 425px) {
	.lux-grid__text {
		display:flex;
		flex-direction: column;
	}
}

/* ----------- Homepage ----------- */

.hero-grid {
	grid-template-columns: auto 40%;
	grid-template-rows: repeat(2, auto);
	align-items: start;
	column-gap: 1rem;
}
.hero-grid-invert  {
	grid-template-columns: 40% auto;
	column-gap: 2rem;
}

.hero-grid__left {
	grid-column: 1 / 2;
	align-self: end;
}

.hero-grid-invert .hero-grid__left {
	grid-column: 2;
}

.hero-grid__cta {
	align-self: start;
	justify-self: start;
}

.hero-grid > figure {
	grid-column-start: 2;
	grid-row: 1 / -1;
	align-self: center;
}

.hero-grid-invert > figure {
	grid-column-start: 1; 
}

@media (max-width: 767px) {
    /* CSS in here for mobile only */
	.hero-grid , .hero-grid-invert {
		margin-top: 0px;
		grid-template-columns: 1fr;
		grid-template-rows: repeat(3, auto);
		row-gap: 1rem;
	}
	.hero-grid__img {
		object-fit: cover;
		aspect-ratio: 16/9;
		object-position: top;

	}
	
	.hero-grid > * {
		grid-column: span 1;
		grid-row: span 1;
	}
	.hero-grid > figure {
		grid-column-start: 1;
		grid-row-start: 2;
	}
	
	.hero-grid-invert > * {
		grid-row: span 1;
	}
	
 	.hero-grid-invert > figure {
		grid-row: span 1;
		grid-row-start: 2;
	} 
	.hero-grid-invert .hero-grid__left {
		grid-column: span 1;
	}
	
	.hero-grid__cta {
		margin-top: 0.6rem;
		justify-self: stretch;
	}
	
}

.hero-review {
	padding-top: 24px;
	display: flex;
	position: absolute;
	width: 100%;
	bottom: 0px;
}

@media (max-height: 600px) {
  .hero-review {
    bottom: -24px;
  }
}




.hero-review:before,
.hero-review:after{
	content: "";
	border-bottom: 4px solid var(--primary-200);
	margin: auto 0;
}

.hero-review:before {
	flex-basis: clamp(1.2rem, 5.2vw + 0.16rem, 6.4rem);
}

.hero-review:after {
	flex: 1 1;
}

@media (max-width: 768px) {
	.hero-review {
		position: relative;
	}
	.hero-review:after, .hero-review:before {
		flex: 1 1;
	}
}